#include <u.h>
#include <libc.h>
#include <bio.h>
#include <json.h>

int Dumpvalfail;

static void
usage(void)
{
	fprint(2, "usage: %s [file]\n", argv0);
	exits("usage");
}

void
main(int argc, char *argv[])
{
	Jvalue *v;
	Biobuf *bp;

	ARGBEGIN{
		default:
			usage();
	}ARGEND;

	if(argc == 0){
		if((v = json_parse(0, "stdin")) == nil)
			sysfatal("stdin: %r\n");
	}
	else{
		if((bp = Bopen(argv[0], OREAD)) == nil)
			sysfatal("%s cannot open\n", argv[0]);
		if((v = json_Bparse(bp, argv[0])) == nil)
			sysfatal("%s: %r\n", argv[0]);
		Bterm(bp);
	}

	json_print(1, v);
	exits(nil);
}
